Thanks a lot for your answer,
Mayby i'm wrong,
but i believe, you misunderstand me.
so i show you what i've programmed:
` driller= Sketchup.active_model.definitions.load("\driller.skp")
pos_driller = Geom::Point3d.new 47,32,25
set_driller= Geom::Transformation.new pos_driller
instance1 = entities.add_instance driller, set_driller
cuboid_wood = Sketchup.active_model.definitions.load("\Cuboid_wood.skp")
pos_cuboid = Geom::Point3d.new 0,0,0
set_cuboid = Geom::Transformation.new pos_cuboid
instance2 = entities.add_instance cuboid_wood, set_cuboid`
but this is hardcoded
and i want that the computer places the objects correctly together automatically,by calculating the best position, but i can't calculate the size of these objects, because i don't know how. (i would have to measure the size with the measure-tool in SU with the mouse, but it should retrieve the values with a method)
I have the task to do that with many components, that's why i wouldn't
say the detailed coordinates for every components, which i load.
the programm should be able to load componentes, put it together correctly and dynamically, take some photos in different perspectives, save these pictures, clear it all and start at the beginning with other components ... everthing is quite clear to me, with the exception of the hardcoded coordinates of these objects
P.S.
i have wrote this problem in a new topic too